from src.enum.activierungsfunktionEnum import Aktivierungsfunktion
from src.enum.optimierungsverfahren import Optimierungsverfahren


class ConfigKNN:
    def __init__(self,
                 excluded_folder=None,
                 activation_function_128_units=Aktivierungsfunktion.ReLU,
                 activation_function_1_units=Aktivierungsfunktion.ReLU,
                 optimization_method=Optimierungsverfahren.SGD):
        self.excluded_folder = excluded_folder
        self.activation_function_128_units = activation_function_128_units
        self.activation_function_1_units = activation_function_1_units
        self.optimization_method = optimization_method
